<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: psDoc.cpp File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="annotated.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_844ccf4c9c5f524017223c512b74160f.html">src</a></div>
<h1>psDoc.cpp File Reference</h1>libLASi provides a C++ output stream interface for writing Postscript documents containing text strings in any of the world's scripts supported by Unicode 4.0 and Pango. <a href="#_details">More...</a>
<p>
<code>#include &lt;ostream&gt;</code><br>
<code>#include &lt;stdexcept&gt;</code><br>
<code>#include &lt;pango/pango.h&gt;</code><br>
<code>#include &lt;ctype.h&gt;</code><br>
<code>#include &lt;algorithm&gt;</code><br>
<code>#include &lt;cmath&gt;</code><br>
<code>#include &lt;<a class="el" href="LASi_8h-source.html">LASi.h</a>&gt;</code><br>
<code>#include &quot;<a class="el" href="contextMgr_8h-source.html">contextMgr.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="glyphMgr_8h-source.html">glyphMgr.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="util_8h-source.html">util.h</a>&quot;</code><br>
<code>#include &quot;memory.h&quot;</code><br>
<code>#include &quot;<a class="el" href="stringDimensions_8h-source.html">stringDimensions.h</a>&quot;</code><br>
<code>#include &lt;iomanip&gt;</code><br>
<code>#include &lt;stdlib.h&gt;</code><br>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="psDoc_8cpp.html#ea9d190cde9cf975c9220dfa621c3d87">nameof</a> (const FT_Face &amp;face, const FT_UInt glyph_index)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
libLASi provides a C++ output stream interface for writing Postscript documents containing text strings in any of the world's scripts supported by Unicode 4.0 and Pango. 
<p>
Copyright (C) 2003, 2004, 2006 by Larry Siden. See README file in project root directory for copyright and contact info. See COPYING file in project root for terms of re-distribution. <hr><h2>Function Documentation</h2>
<a class="anchor" name="ea9d190cde9cf975c9220dfa621c3d87"></a><!-- doxytag: member="psDoc.cpp::nameof" ref="ea9d190cde9cf975c9220dfa621c3d87" args="(const FT_Face &amp;face, const FT_UInt glyph_index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static string nameof           </td>
          <td>(</td>
          <td class="paramtype">const FT_Face &amp;&nbsp;</td>
          <td class="paramname"> <em>face</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const FT_UInt&nbsp;</td>
          <td class="paramname"> <em>glyph_index</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
